Subject: bug#47781: 28.0.50; (window-list-1 nil t) returns nil when minibuffer is inactive

From: martin rudalics <[email-masked]>
Date: Thu, 15 Apr 2021 10:10:17 +0200

> I read from the docstring of the function
 >> MINIBUF t means consider the minibuffer window even if the minibuffer is not active
 >
 > However, with emacs -Q
 > and the minibuffer inactive
 >
 > (window-list-1 nil t)
 > ;; => nil
 >
 > I think this is related to this build since I cannot reproduce with emacs 26.1 (in this case it returns the list of windows, minibuffer included, as expected).
 >
 >
 > In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, cairo version 1.16.0)
 > of 2021-02-09 built on debian-10-gccemacs

This is likely broken since a change in candidate_window_p from last
year, see commit 2ecbf4cfae7bd504fbdca28e1e51ee2574fe5d12 (waiting for
Gregory's confirmation).  Since `window_list_1' is consulted in quite a
number of places, the behavior of Emacs might be slightly unpredictable
in this area.

martin